/oauth2/v1/apps/tokenRequest Body
application/json
length <= 1000length <= 200length <= 1000length <= 5000length <= 10000length <= 10000RFC 8707 - OAuth 2.0 Resource Indicators - Token Endpoint only supports receiving a single resource
length <= 1000length <= 1000length <= 1000000jwt-spiffe (draft-ietf-oauth-spiffe-client-auth) is accepted only from workloadIdentity apps; the service enforces that.
length <= 1000000length <= 1000length <= 100length <= 100000length <= 1000RFC 8693 requested_token_type. Empty/access_token => access token (default). id-jag => issue a Cross-App Access Identity Assertion Authorization Grant.
length <= 8192length <= 10000Exchange authorization codes, refresh tokens, client credentials, JWT bearer assertions, and RFC 8693 token-exchange requests for Inbound App access tokens.
Supported grant_type values and examples are documented in Authorization server endpoints and Using Inbound Apps.
curl -X POST "https://api.descope.com/oauth2/v1/apps/token" \ -H "Content-Type: application/json" \ -d '{}'{ "access_token": "string", "token_type": "string", "refresh_token": "string", "id_token": "string", "expires_in": 0, "scope": "string", "error": "string", "description": "string", "issued_token_type": "string", "authorization_details": { "values": [ null ] }}export interface Response {access_token?: stringtoken_type?: stringrefresh_token?: stringid_token?: stringexpires_in?: numberscope?: string/** * Those fields are in use just in case of error of device flow scenario (where device polling on the specific error response) */error?: stringdescription?: stringissued_token_type?: stringauthorization_details?: GoogleProtobuf}/** * `ListValue` is a wrapper around a repeated field of values. * * The JSON representation for `ListValue` is JSON array. */export interface GoogleProtobuf {/** * Repeated field of dynamically typed values. */values?: {[k: string]: unknown}[]}Inbound App PAR POST
Push authorization parameters to Descope from your server before redirecting the user ([RFC 9126](https://datatracker.ietf.org/doc/html/rfc9126)). Descope returns a single-use `request_uri` to send to the authorize endpoint. See [Pushed Authorization Requests](/identity-federation/inbound-apps/pushed-authorization-requests).
OIDC revoke endpoint POST
OIDC revoke endpoint